Subject: Re: [icnrg] ICN BOF not approved

From: <[email-masked]>
Date: Mon, 13 Jun 2016 17:21:33 +0000

Lars,

Thank you for the feedback.  We will work with IESG and the IETF to address their concerns so we can hopefully move to a BoF next time.

To some extent, we have given up control of the spec as RG documents, though so far in practice there have only been a small number of outside contributions.  We have worked with those other contributors on additional draft submissions and in discussions in the RG.  We need to do a better job signaling this outside the RG.  PARC’s position has been and still is that its reference implementation will follow the standard (RG documents at this point), not the other way around.

I’d also point out that in the earlier days of ICNRG, there were 3 or 4 drafts around a CCNx-like standard and through a lot of consensus building over the 2013-2014 timeframe, we consolidated down to where we are now.  The current RG documents are not where I and my co-authors started them, but have evolved based on ICNRG member feedback.  We need a way to make this more visible to people outside the ICNRG who were not involved in the process and I do appreciate any advice on how to move forward.

Marc

On 6/13/16, 2:09 AM, "icnrg on behalf of Eggert, Lars" <[email-masked] on behalf of [email-masked]> wrote:

>Hi,
>
>you may have sen on https://trac.tools.ietf.org/bof/trac/wiki/WikiStart#Transport that the IESG decided that this proposal is not considered ready for an IETF BOF at this time. Several issues were raised, and the consensus was that the the ICNRG - from where the proposal originated - should spend some of their Berlin agenda time on discussing it.
>
>Here is my *personal* opinion on some of the kinds of answers that could be helpful to the IESG to consider such a BOF request in the future:
>
>* whether CCNX has the backing to be put forward as the ICNRG consensus technology in this space for IETF adoption (c.f., the bundle protocol recently moving from the DTNRG to the DTN WG)
>
>* whether sufficient real-world experience has been gathered and documented to make the case for CCNX in the IETF (e.g., operations/management, but also architectural integration with the rest of the Internet architecture)
>
>* whether the security characteristics of CCNX are adequate (and adequately understood) for IETF standardization
>
>* whether the originators of CCNX are comfortable with giving up change control to the IETF, and whether the IPR licensing for against CCNX is congruent with typical IETF standards
>
>Lars